#!/usr/bin/env python

import sys
from qt import *

# définition d'une nouvelle classe
# héritant du widget QVBox
class MyWidget(QVBox):
    def __init__(self, parent = None, name = None):
        QVBox.__init__(self, parent, name)

        # nous positionnons la fenêtre et lui
        # attribuons une taille spécifique
        self.setGeometry(200, 200, 320, 240)

        # le bouton qui fera apparaître un message
        hello = QPushButton("Hello", self, "hello")
        self.connect(hello, SIGNAL("clicked()"), self.popupHello)
	hello.setFixedWidth(100)

        # le bouton pour quitter l'application
        quit = QPushButton("Quit", self, "quit")
        self.connect(quit, SIGNAL("clicked()"), qApp, SLOT("quit()"))
	quit.setFixedWidth(100)

    # affiche une boîte de dialogue
    def popupHello(self):
        QMessageBox.information(parent, "Hello QT...", "Hello World !")

# création de l'application
app = QApplication(sys.argv)

# création du widget principal
wgHello = MyWidget()
app.setMainWidget(wgHello)

# exécution de l'application
wgHello.show()
app.exec_loop()

# fin du script helloqt2.py
